<!-- <div class="panel-booking container">
    <div class="row">
        <div class="col-md-1 offset-md-11 btn-add-booking">
            <button pButton type="button" 
                (click)="newBooking = !newBooking" 
                icon="fa-plus"
                class="btn-primary btn-sm">
            </button>
        </div>
    </div> -->

    <ul class="nav justify-content-end">
            <li class="nav-item" *jhiHasAnyAuthority="['ROLE_ADMIN']">
                <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
            </li>
            <li class="nav-item">
                <a class="btn" [routerLink]="['/', { outlets: { popup: ['work-order-booking-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
            </li>
        </ul>
    
    <div class="row" style="margin-top: 5px;">
        <div class="col-sm-6">
            <p-dataList [value]="woFollowUp" [paginator]="true" [rows]="itemPerList" [alwaysShowPaginator]="false">
                <p-header>
                    Follow Up Booking
                </p-header>
                <ng-template let-data pTemplate="item">
                    <booking-view-item [item]="data" 
                        on-cancel="cancel(data)" on-process="approve(data)"></booking-view-item>
                </ng-template>
            </p-dataList>
        </div>
        <div class="col-sm-6">
            <p-dataList [value]="woBooking" [paginator]="true" [rows]="itemPerList" [alwaysShowPaginator]="false">
                <p-header>
                    Booking
                </p-header>
                <ng-template let-data pTemplate="item">
                    <booking-view-item [item]="data" 
                        on-cancel="cancel(data)"></booking-view-item>
                </ng-template>
            </p-dataList>
        </div>
    </div>

    <div class="row" style="margin-top: 20px;">
        <div class="col-sm-6">
            <p-dataList [value]="woHome" [paginator]="true" [rows]="itemPerList" [alwaysShowPaginator]="false">
                <p-header>
                    Home Service
                </p-header>
                <ng-template let-data pTemplate="item">
                    <booking-view-item [item]="data" 
                        on-cancel="cancel(data)"></booking-view-item>
                </ng-template>
            </p-dataList>
        </div>
        <div class="col-sm-6">
            <p-dataList [value]="woEmergency" [paginator]="true" [rows]="itemPerList" [alwaysShowPaginator]="false">
                <p-header>
                    Emergency Call
                </p-header>
                <ng-template let-data pTemplate="item">
                    <booking-view-item [item]="data" 
                        on-cancel="cancel(data)"></booking-view-item>
                </ng-template>
            </p-dataList>
        </div>
    </div>
</div>

<p-confirmDialog></p-confirmDialog>

<p-dialog [(visible)]="newBooking" closable="true" responsive="true" width="720" modal="true">
    <p-header>
        New Customer Booking
    </p-header>

    <div class="row">
    <div class="col-sm-3">
        <label class="form-control-label">No Polisi</label>
        <div class="input-group">
            <input type="text" pInputText class="form-control" name="vehicleNumber" 
                [(ngModel)]="vehicleNumber" placeholder="vehicle Number"
                style="text-transform: uppercase">
        </div>
    </div>

    <div class="col-sm-6" [hidden]="!fullLookup">
        <label class="form-control-label">Contact Person</label>
        <div class="input-group">
            <input type="text" pInputText class="form-control" name="name" 
                [(ngModel)]="name" placeholder="Contact Person"
                style="text-transform: uppercase">
        </div>
    </div>

    <div class="col-sm-3" [hidden]="!fullLookup">
        <label class="form-control-label">Cellular Phone</label>
        <div class="input-group">
            <input type="text" pInputText class="form-control" name="cellPhone" 
                [(ngModel)]="cellPhone" placeholder="Cellular Phone">
        </div>
    </div>
        
    </div>

    <p-footer>
        <button pButton type="button" label="Cancel" (click)="newBooking = !newBooking" icon="fa-times">
        </button>
        <button pButton type="button" 
                label="Build" 
                [disabled]="vehicleNumber === null"
                (click)="doBuildBooking()" 
                icon="fa-times">
        </button>
    </p-footer>
</p-dialog>